{ inputs, pkgs, nixosConfig, lib, ... }:
let
  cfg = nixosConfig.my.desktop.spicetify;
in
{
  imports = [
    inputs.spicetify-nix.homeManagerModules.default
  ];
  config = lib.mkIf cfg.enable {
    programs.spicetify =
    let
      spicePkgs = inputs.spicetify-nix.legacyPackages.${pkgs.stdenv.hostPlatform.system};
    in
    {
      enable = true;

      enabledExtensions = with spicePkgs.extensions; [
        hidePodcasts
        shuffle # shuffle+ (special characters are sanitized out of extension names)
        betterGenres
        lastfm
        adblock
        beautifulLyrics
        aiBandBlocker
      ];
      enabledCustomApps = with spicePkgs.apps; [
        lyricsPlus
        betterLibrary
        newReleases
      ];
      enabledSnippets = with spicePkgs.snippets; [
        pointer
      ];
      theme = spicePkgs.themes.catppuccin;
      colorScheme = "mocha";
    };
  };
}
